## kiten 4.14.0

=== debian/changelog ===
kiten (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 05:10:32 +0200

kiten (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Add menu file. (Closes: #589309)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 21 Jul 2014 13:24:18 +0200

kiten (4:4.13.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #737594)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 14:12:56 +0200

kiten (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.
  * New patch: remove_skip_codes (Closes: #741219)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:47 +0200

kiten (4:4.12.2-1) experimental; urgency=low

  * Enable build failures on missing symbols.
  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:30 +0100

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               imagemagick,
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter4
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten4abi1
Architecture: any
Section: libs
X-Debian-ABI: 1
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkiten1
Breaks: libkiten1
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: kdelibs5-dev (>= 4:4.0.82),
         libkiten4abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-runtime-dbg, libkiten4abi1 (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.7.2)
Replaces: kdeedu-dbg (<< 4:4.7.2)
Recommends: kiten (= ${binary:Version})
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kiten-([\d.]+).tar.xz

## kiten 4.14.1

=== debian/changelog ===
kiten (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:17:25 +0200

kiten (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:10:54 +0200

kiten (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:50:54 +0200

kiten (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:19:56 +0200

kiten (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata file to .install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:09:07 +0200

kiten (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:59:53 +0100

kiten (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining changes:
    - Keep using our symbols file

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 18:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               imagemagick,
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git
 
 Package: kiten
 Architecture: any
@@ -46,7 +48,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: kdelibs5-dev (>= 4:4.0.82),
+Depends: kdelibs5-dev (>= 4:4.14.1),
          libkiten4abi1 (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for the Kiten Japanese reference libraries

## kiten 4.14.2

=== app/CMakeLists.txt ===
############## kiten binary #############
set(kiten_bin_SRCS
    configdictionaryselector.cpp
    configsortingpage.cpp
    configuredialog.cpp
    entrylistmodel.cpp
    entrylistview.cpp
    kiten.cpp
    main.cpp
    resultsview.cpp
    searchstringinput.cpp
    dictionaryupdatemanager.cpp
    wordtype.cpp
   )
kde4_add_ui_files(kiten_bin_SRCS
	configdictselect.ui
	configfont.ui
	configlearn.ui
	configsearching.ui
	configsorting.ui
	)
kde4_add_kcfg_files( kiten_bin_SRCS kitenconfig.kcfgc)

#kde4_add_app_icon(kiten_bin_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kiten.png")
#kde4_add_app_icon(kiten_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pics/ox*-apps-kiten.png")
kde4_add_app_icon(kiten_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pics/hi*-apps-kiten.png")

kde4_add_executable(kiten_bin ${kiten_bin_SRCS})
set_target_properties(kiten_bin PROPERTIES OUTPUT_NAME kiten IMPORT_PREFIX bin_)

target_link_libraries(kiten_bin ${KDE4_KHTML_LIBS} kiten)

install( TARGETS kiten_bin ${INSTALL_TARGETS_DEFAULT_ARGS} )

############ install files #############
install( PROGRAMS kiten.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kiten.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kitenui.rc DESTINATION ${DATA_INSTALL_DIR}/kiten )

=== debian/changelog ===
kiten (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:51:50 +0200

kiten (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Minor adjustment to copyright so lintian picks up shortname for EDRDG. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:29:03 -0700

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
@@ -48,7 +48,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: kdelibs5-dev (>= 4:4.14.1),
+Depends: kdelibs5-dev (>= 4:4.14.2),
          libkiten4abi1 (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for the Kiten Japanese reference libraries

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kiten-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kiten-([\d\.]*).tar.xz

## kiten 14.12.3

=== debian/changelog ===
kiten (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:10:32 -0700

kiten (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:04:33 -0800

kiten (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:33:15 +0100

kiten (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:13:05 -0800

kiten (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes: 
   - Minor adjustment to copyright so lintian picks up 
     shortname for EDRDG

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 21:31:49 +0000

kiten (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Minor adjustment to copyright so lintian picks up shortname for EDRDG. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:29:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,27 @@
 Source: kiten
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               imagemagick,
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kiten
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kiten.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kiten.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kiten.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kiten.git
 
 Package: kiten
 Architecture: any
 Depends: fonts-vlgothic | fonts-japanese-gothic,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: khelpcenter4
+Suggests: khelpcenter
 Description: Japanese reference and study aid for KDE
  Kiten is a collection of Japanese reference tools and study aids for KDE,
  including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
@@ -48,7 +46,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: kdelibs5-dev (>= 4:4.14.2),
+Depends: kdelibs5-dev,
          libkiten4abi1 (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for the Kiten Japanese reference libraries

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
+
+override_dh_auto_build:
+	$(overridden_command)
+	# Generate icons
+	while read src dest args; do \
+	    convert $$args $(CURDIR)/$$src $(CURDIR)/$$dest; \
+	done <debian/icon-list
 
 override_dh_makeshlibs:
 	$(overridden_command) -V

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kiten-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kiten-([\d.]+).tar.xz

## kiten 15.08.2

=== debian/changelog ===
kiten (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:30:39 +0100

kiten (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:04:29 +0100

kiten (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:28:16 +0100

kiten (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Non-maintainer upload.
  * Update symbols files: mark as optional the symbols gone after
    building wih GCC 5

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:29:53 +0100

kiten (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:07:04 +0200

kiten (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New patch: avoid_installing_incomplete_header

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:18:01 +0100

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               imagemagick,
               kdoctools-dev,
               kio-dev,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5khtml-dev,
               libkf5kjs-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kiten.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kiten.git

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten5
Architecture: any
Section: libs
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkiten5 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kiten(= ${binary:Version}) | libkiten5 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

## kiten 15.12.3

=== CMakeLists.txt ===
#Name the project
project(kiten)

# Check for cmake, same as minimum for KDE 4.0.0
cmake_minimum_required( VERSION 2.8.12 )

#ECM setup
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
find_package(KF5 REQUIRED COMPONENTS 
    Archive
    Completion 
    Config 
    ConfigWidgets 
    CoreAddons
    Crash
    DocTools 
    I18n 
    KHtml
    XmlGui)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include( CheckIncludeFiles )
include(ECMGenerateHeaders)

## Make it easy for radselect and kiten to find libkiten headers
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/lib)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

## Generate config.h
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
configure_file( config-kiten.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kiten.h )

add_definitions(-DTRANSLATION_DOMAIN=\"kiten\")


## Build each subdir
add_subdirectory( app )
add_subdirectory( data/font )
add_subdirectory( data/pics )
add_subdirectory( doc )
add_subdirectory( kanjibrowser )
add_subdirectory( lib )
add_subdirectory( radselect )

## Build kitengen, a small index generator used by the kiten app
set(kitengen_SRCS xjdxgen.c)
add_executable(kitengen ${kitengen_SRCS})
target_link_libraries(kitengen ${QT_QTCORE_LIBRARY})
install( TARGETS kitengen ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kiten.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

## Install our datafiles
install( FILES data/edict data/kanjidic data/radkfile data/vconj data/romkana.cnv DESTINATION ${DATA_INSTALL_DIR}/kiten )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== radselect/CMakeLists.txt ===
############### radselect target ###############

set(radselect_bin_SRCS
    buttongrid.cpp
    kanji.cpp
    main.cpp
    radical.cpp
    radicalbutton.cpp
    radicalfile.cpp
    radselect.cpp
    radselectview.cpp
   )
ki18n_wrap_ui(radselect_bin_SRCS radical_selector.ui radselectprefdialog.ui)
kconfig_add_kcfg_files(radselect_bin_SRCS radselectconfig.kcfgc)

#kde4_add_app_icon(radselect_bin_SRCS "${CMAKE_INSTALL_PREFIX}/share/icons/oxygen/*/apps/kiten.png")
# # kde4_add_app_icon(radselect_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/pics/hi*-apps-kiten.png")

add_executable(radselect_bin ${radselect_bin_SRCS})
set_target_properties(radselect_bin PROPERTIES OUTPUT_NAME kitenradselect)
target_link_libraries(radselect_bin 
    kiten 
    Qt5::Core 
    Qt5::Widgets
    KF5::ConfigWidgets 
    KF5::CoreAddons 
    KF5::I18n 
    KF5::XmlGui)
install( TARGETS radselect_bin ${INSTALL_TARGETS_DEFAULT_ARGS} )

############## install files ####################
install( PROGRAMS org.kde.kitenradselect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES radselectui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kitenradselect )

=== debian/changelog ===
kiten (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:28:53 -0700

kiten (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release.
  * Remove kiten.menu as kiten is called from desktop file.
    Per lintain rule command-in-menu-file-and-desktop-file. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:48:28 +0100

kiten (4:15.12.0-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:09:28 +0100

kiten (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:34 +0100

kiten (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files from buildds logs (4:15.08.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:47 +0200

kiten (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:41 +0100

kiten (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 20:00:31 +0200

kiten (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * Update symbols files from buildds logs (4:14.12.3-1).
  * New upstream release (15.04.3).
  * Update symbols files. (Closes: #777927)
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 16:56:32 +0200

kiten (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:01 +0200

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5),
               imagemagick,
               kdoctools-dev,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5khtml-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kiten.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kiten.git

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten5
Architecture: any
Section: libs
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev,
         libkiten5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: kiten-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kiten (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Kiten
 This package contains debugging files used to investigate problems with
 libraries and binaries of Kiten.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_build:
	$(overridden_command)
	# Generate icons
	while read src dest args; do \
	    convert $$args $(CURDIR)/$$src $(CURDIR)/$$dest; \
	done <debian/icon-list

override_dh_strip:
	$(overridden_command) --dbg-package=kiten-dbg

## kiten 16.04.3

=== debian/changelog ===
kiten (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Fix merge markers in changelog. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:54 +0200

kiten (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5),
+               extra-cmake-modules (>= 5.24.0~),
                imagemagick,
-               kdoctools-dev,
-               libkf5archive-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5i18n-dev,
-               libkf5khtml-dev,
-               libkf5xmlgui-dev,
+               kdoctools-dev (>= 5.24.0~),
+               libkf5archive-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5khtml-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kiten.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kiten.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
 
 Package: kiten
 Architecture: any
@@ -62,12 +62,3 @@
  Kiten Japanese reference libraries.
  .
  This package is part of the KDE education module.
-
-Package: kiten-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kiten (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for Kiten
- This package contains debugging files used to investigate problems with
- libraries and binaries of Kiten.

## kiten 16.08.3

=== debian/changelog ===
kiten (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:11:47 +0100

kiten (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:34:51 +0200

kiten (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 11:15:33 +0200

kiten (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,25 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5),
                imagemagick,
-               kdoctools-dev (>= 5.24.0~),
-               libkf5archive-dev (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5crash-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5khtml-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               kdoctools-dev (>= 5.15~),
+               libkf5archive-dev (>= 5.15~),
+               libkf5completion-dev (>= 5.15~),
+               libkf5config-dev (>= 5.15~),
+               libkf5configwidgets-dev (>= 5.15~),
+               libkf5coreaddons-dev (>= 5.15~),
+               libkf5crash-dev (>= 5.15~),
+               libkf5doctools-dev (>= 5.15~),
+               libkf5i18n-dev (>= 5.15~),
+               libkf5khtml-dev (>= 5.15~),
+               libkf5xmlgui-dev (>= 5.15~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git
 
 Package: kiten
 Architecture: any
@@ -53,7 +54,7 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5completion-dev,
+Depends: libkf5completion-dev (>= 5.15~),
          libkiten5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kiten-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kiten-([\d.]+).tar.xz

## kiten 16.12.3

=== debian/changelog ===
kiten (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:27 +0000

kiten (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:08 +0000

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,24 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5),
+               extra-cmake-modules (>= 5.31.0~),
                imagemagick,
-               kdoctools-dev (>= 5.15~),
-               libkf5archive-dev (>= 5.15~),
-               libkf5completion-dev (>= 5.15~),
-               libkf5config-dev (>= 5.15~),
-               libkf5configwidgets-dev (>= 5.15~),
-               libkf5coreaddons-dev (>= 5.15~),
-               libkf5crash-dev (>= 5.15~),
-               libkf5doctools-dev (>= 5.15~),
-               libkf5i18n-dev (>= 5.15~),
-               libkf5khtml-dev (>= 5.15~),
-               libkf5xmlgui-dev (>= 5.15~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
 
 Package: kiten
 Architecture: any
@@ -54,9 +53,9 @@
 Package: libkiten-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5completion-dev (>= 5.15~),
+Depends: libkf5completion-dev (>= 5.31.0~),
          libkiten5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for the Kiten Japanese reference libraries
  This package contains development files for building software that uses the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_build:
	$(overridden_command)
	# Generate icons
	while read src dest args; do \
	    convert $$args $(CURDIR)/$$src $(CURDIR)/$$dest; \
	done <debian/icon-list

override_dh_strip:
	$(overridden_command) --ddeb-migration='kiten-dbg (<= 4:15.12.1-1~~)'

## kiten 17.04.3

=== debian/changelog ===
kiten (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:28 +0100

## kiten 17.08.3

=== debian/changelog ===
kiten (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused imagemagick build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 11:42:13 +0100

kiten (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:25 +0200

kiten (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:33 +0000

kiten (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:27 +0000

kiten (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:41 +0000

kiten (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:05 +0000

kiten (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:17:56 +0000

kiten (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:30 +0000

kiten (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:48 +0000

kiten (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:19 +0000

kiten (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:07 +0000

kiten (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:51 +0000

kiten (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:53 +0000

kiten (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:20 +0000

kiten (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:53 +0000

kiten (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:57 +0000

kiten (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:14 +0000

kiten (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:32 +0000

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5),
               libkf5archive-dev (>= 5.15~),
               libkf5completion-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5configwidgets-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5khtml-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kiten.git

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.15~),
         libkiten5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

Package: libkiten5
Architecture: any
Section: libs
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

## kiten 17.12.3

=== debian/changelog ===
kiten (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:46 +0000

kiten (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:28 +0000

kiten (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:34 +0000

=== debian/control ===
Source: kiten
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               imagemagick,
               libkf5archive-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiten

Package: kiten
Architecture: any
Depends: fonts-vlgothic | fonts-japanese-gothic,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Japanese reference and study aid for KDE
 Kiten is a collection of Japanese reference tools and study aids for KDE,
 including a Japanese/English dictionary, Kanji dictionary, and Kanji quiz.
 .
 This package is part of the KDE education module.

Package: libkiten5
Architecture: any
Section: libs
Depends: edict, kanjidic, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Kiten Japanese reference and study aid
 This package contains shared libraries, language data, and resources used by
 the Kiten Japanese reference and study aid.  Portions of this library,
 such as dictionary and character lookup widgets, may be useful for other
 applications.
 .
 This package is part of the KDE education module.

Package: libkiten-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.31.0~),
         libkiten5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for the Kiten Japanese reference libraries
 This package contains development files for building software that uses the
 Kiten Japanese reference libraries.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kiten-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kiten-([\d.]+).tar.xz
